$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.188.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.188.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BB84CF1738B2621A3753D2D0FFCBDFEC5AE524F67F8DE418FFE8F710C48E808A'
  checksumType = 'sha256'
  checksum64 = 'BB84CF1738B2621A3753D2D0FFCBDFEC5AE524F67F8DE418FFE8F710C48E808A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.188-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
